Verdocs - Developer Documentation
ReferenceRest APIAPI DocumentationRecipients

Update Recipient

PATCH
/envelopes/{envelope_id}/recipients/{role_name}

Path Parameters

envelope_id*string

The envelope to operate on.

Formatuuid
role_name*string

The role name to update.

Request Body

application/json

Body Parameters

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://api.verdocs.com/envelopes/497f6eca-6276-4993-bfeb-53cbbbba6f08/recipients/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "address": "string",
  "auth_method_states": "string",
  "auth_methods": "string",
  "auth_step": "string",
  "city": "string",
  "disclosures": "string",
  "disclosures_accepted_at": "string",
  "dob": "string",
  "full_name": "string",
  "id": "string",
  "in_app_key": "string",
  "kba_questions": "string",
  "order": 0,
  "passcode": "string",
  "phone": "string",
  "sequence": 0,
  "ssn_last_4": "string",
  "state": "string",
  "zip": "string"
}
{
  "status": "ERROR",
  "error": "string"
}
{
  "status": "ERROR",
  "error": "string"
}
{
  "status": "ERROR",
  "error": "string"
}
{
  "status": "ERROR",
  "error": "string"
}